Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.policy
Class PolicyContext

    java.lang.Object
      org.eclipse.jetty.policy.PolicyContext

    public class PolicyContext

extends java.lang.Object

Constructor Summary
`PolicyContext()`

Method Summary
`void` | `addProperty(java.lang.String name, java.lang.String value)`
`java.lang.String` | `evaluate(java.lang.String s)`
`java.security.KeyStore` | `getKeystore()`
`java.security.Principal[]` | `getPrincipals()`
`void` | `setKeystore(java.security.KeyStore keystore)`
`void` | `setPrincipals(java.security.Principal[] principals)`
`void` | `setProperties(java.util.Map<java.lang.String,java.lang.String> properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyContext

    public PolicyContext()

Method Detail

### addProperty

    public void addProperty(java.lang.String name,
                            java.lang.String value)

### setProperties

    public void setProperties(java.util.Map<java.lang.String,java.lang.String> properties)

### getKeystore

    public java.security.KeyStore getKeystore()

### setKeystore

    public void setKeystore(java.security.KeyStore keystore)

### getPrincipals

    public java.security.Principal[] getPrincipals()

### setPrincipals

    public void setPrincipals(java.security.Principal[] principals)

### evaluate

    public java.lang.String evaluate(java.lang.String s)
                              throws PolicyException

  Throws:
    `PolicyException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.